sccs-sccsdiff(1)

NAME
sccs-sccsdiff, sccsdiff - compare two versions of an SCCS file

SYNOPSIS

/usr/ccs/bin/sccsdiff
[-p]
-rsid
-rsid
[diff-options]
s.filename

DESCRIPTION

sccsdiff compares two versions of an SCCS file and displays the differences between the two versions. Any number of SCCS files may be specified. The options specified apply to all named s.files.

OPTIONS

The following options are supported:

-p  Pipe output for each file through pr(1).

-rsid
    Specify a version corresponding to the indicated SCCS delta ID (SID) for comparison. Versions are passed to diff(1) in the order given.

diff-options
    Pass options to diff(1), including: -b, -c, -e, -f, -h, -u, -C number, -U number, and -D string.

-V  Prints the sccsdiff version number string and exists.

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of sccsdiff(1): LANG, LC_ALL, LC_COLLATE, LC_CTYPE, LC_MESSAGES, and NLSPATH.

SCCS_NO_HELP
    If set, sccsdiff(1) will not automatically call help(1) with the SCCS error code in order to print a more helpful error message. Scripts that depend on the exact error messages of SCCS commands should set the environment variable SCCS_NO_HELP and set LC_ALL=C.

FILES

/tmp/get?????
    temporary files

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-admin(1), sccs-cdc(1), sccs-comb(1), sccs-cvt(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-log(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-unget(1), sccs-val(1), bdiff(1), diff(1), what(1), sccschangeset(4), sccsfile(4), attributes(5), environ(5), standards(5).

DIAGNOSTICS

filename: No differences
    If the two versions are the same.

Use the SCCS help command for explanations of other messages. See sccs-help(1).

AUTHORS
The SCCS suite was origininally written by Marc J. Rochkind at Bell Labs in 1972. Release 4.0 of SCCS, introducing new versions of the programs admin(1), get(1), prt(1), and delta(1) was published on February 18, 1977; it introduced the new text based SCCS v4 history file format (previous SCCS releases used a binary history file format). The SCCS suite was later maintained by various people at AT&T and Sun Microsystems. Since 2006, the SCCS suite is maintained by Joerg Schilling.